Bug 169038 - [PATCH] net/appkonference: update to 2.1
Summary: [PATCH] net/appkonference: update to 2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-13 15:10 UTC by Florian Smeets
Modified: 2012-08-22 00:33 UTC (History)
1 user (show)

See Also:


Attachments
appkonference-2.1.patch (3.52 KB, patch)
2012-06-13 15:10 UTC, Florian Smeets
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Smeets freebsd_committer 2012-06-13 15:10:07 UTC
- Update to 2.1
- switch to using net/asterisk (1.8.x) as net/asterisk16 will be removed soon

Port maintainer (alex.deiter@gmail.com) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: CVS)
Comment 1 Edwin Groothuis freebsd_committer 2012-06-14 01:13:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flo

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-06-14 01:13:18 UTC
Maintainer of net/appkonference,

Please note that PR ports/169038 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169038

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-06-14 01:13:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 alex.deiter 2012-06-14 10:52:35 UTC
Patch approved.

Thank you!

2012/6/14 Edwin Groothuis <edwin@freebsd.org>

> Maintainer of net/appkonference,
>
> Please note that PR ports/169038 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169038
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>



-- 
Alex Deiter
Comment 5 Florian Smeets freebsd_committer 2012-07-12 00:57:45 UTC
State Changed
From-To: feedback->open

Feedback received, will be committed when asterisk16 is removed
Comment 6 dfilter service freebsd_committer 2012-08-22 00:29:48 UTC
Author: flo
Date: Tue Aug 21 23:29:37 2012
New Revision: 302910
URL: http://svn.freebsd.org/changeset/ports/302910

Log:
  - Remove net/asterisk16, net/asterisk16-addons, japanese/asterisk16-sounds
  - Update net/appkonference to 2.1 to make it work with net/asterisk [1]
  - Switch www/bigbluebutton to net/asterisk
  - While here fix typo in www/xxxterm's MOVED entry
  
  PR:		ports/169038 [1]
  Approved by:	maintainer [1]

Deleted:
  head/japanese/asterisk16-sounds/
  head/net/asterisk16/
  head/net/asterisk16-addons/
Modified:
  head/MOVED
  head/UPDATING
  head/japanese/Makefile   (contents, props changed)
  head/net/Makefile
  head/net/appkonference/Makefile   (contents, props changed)
  head/net/appkonference/distinfo   (contents, props changed)
  head/net/appkonference/files/patch-Makefile   (contents, props changed)
  head/www/bigbluebutton/Makefile   (contents, props changed)

Modified: head/MOVED
==============================================================================
--- head/MOVED	Tue Aug 21 22:46:42 2012	(r302909)
+++ head/MOVED	Tue Aug 21 23:29:37 2012	(r302910)
@@ -3645,6 +3645,8 @@ www/django-mezzanine-filebrowser|www/py-
 www/django-mezzanine-grappelli|www/py-django-mezzanine-grappelli|2012-08-19|Rename to consistency with other Python ports
 misc/gpt31||2012-08-20|Has expired: was a dependency for net/globus4, which was removed 2008-12-07, unmaintained upstream since 2004
 misc/gpt||2012-08-20|Has expired: was a dependency for net/globus4, which was removed 2008-12-07, unmaintained upstream since 2004
-www/xxxterm/|www/xombrero|2012-08-20|Project renamed
+www/xxxterm|www/xombrero|2012-08-20|Project renamed
 www/cakephp2|www/cakephp21|2012-08-21|Moved to match port version
 databases/libudbc||2012-08-21|Has expired: Does not fetch and no vendor support anymore
+net/asterisk16||2012-08-22|Unsupported upstream, please use net/asterisk instead.
+net/asterisk16-addons||2012-08-22|Unsupported upstream, now part of net/asterisk.

Modified: head/UPDATING
==============================================================================
--- head/UPDATING	Tue Aug 21 22:46:42 2012	(r302909)
+++ head/UPDATING	Tue Aug 21 23:29:37 2012	(r302910)
@@ -5,6 +5,29 @@ they are unavoidable.
 You should get into the habit of checking this file for changes each time
 you update your ports collection, before attempting any port upgrades.
 
+20101128:
+  AFFECTS: users of net/asterisk16, net/asterisk16-addons
+  AUTHOR: Florian Smeets <flo@FreeBSD.org>
+
+  asterisk16 has been unsupported upstream for a while now and has known
+  security vulnerabilities therefor it was removed from the ports tree.
+  People still running net/asterisk16 should upgrade to net/asterisk.
+
+  First delete the asterisk addons, as they are part of asterisk now.
+
+  # pkg_delete -f asterisk16-addons\*
+
+  after that you can run one of the following
+
+  # portmaster -o net/asterisk net/asterisk16
+  or
+  # portupgrade -o net/asterisk net/asterisk16
+
+  After that you need to update your configuration. Take a look at the following
+  URL for the changes between 1.6 and 1.8
+
+  http://svnview.digium.com/svn/asterisk/branches/1.8/UPGRADE.txt
+
 20120820:
   AFFECTS: users of ports-mgmt/portupgrade-devel
   AUTHOR:  bdrewery@FreeBSD.org

Modified: head/japanese/Makefile
==============================================================================
--- head/japanese/Makefile	Tue Aug 21 22:46:42 2012	(r302909)
+++ head/japanese/Makefile	Tue Aug 21 23:29:37 2012	(r302910)
@@ -22,7 +22,6 @@
     SUBDIR += another-htmllint
     SUBDIR += anthy
     SUBDIR += asterisk-sounds
-    SUBDIR += asterisk16-sounds
     SUBDIR += aterm
     SUBDIR += awffull
     SUBDIR += bible_names-fpw

Modified: head/net/Makefile
==============================================================================
--- head/net/Makefile	Tue Aug 21 22:46:42 2012	(r302909)
+++ head/net/Makefile	Tue Aug 21 23:29:37 2012	(r302910)
@@ -32,8 +32,6 @@
     SUBDIR += asterisk10
     SUBDIR += asterisk14
     SUBDIR += asterisk14-addons
-    SUBDIR += asterisk16
-    SUBDIR += asterisk16-addons
     SUBDIR += atmsupport
     SUBDIR += avahi
     SUBDIR += avahi-app

Modified: head/net/appkonference/Makefile
==============================================================================
--- head/net/appkonference/Makefile	Tue Aug 21 22:46:42 2012	(r302909)
+++ head/net/appkonference/Makefile	Tue Aug 21 23:29:37 2012	(r302910)
@@ -6,19 +6,17 @@
 #
 
 PORTNAME=	appkonference
-PORTVERSION=	1.5
-PORTREVISION=	2
+PORTVERSION=	2.1
 CATEGORIES=	net
 MASTER_SITES=	SF
 
 MAINTAINER=	alex.deiter@gmail.com
 COMMENT=	High-performance Asterisk voice/video conferencing plugin
 
-BUILD_DEPENDS=  asterisk:${PORTSDIR}/net/asterisk16
-RUN_DEPENDS=    asterisk:${PORTSDIR}/net/asterisk16
+BUILD_DEPENDS=	asterisk:${PORTSDIR}/net/asterisk
+RUN_DEPENDS=	asterisk:${PORTSDIR}/net/asterisk
 
 USE_GMAKE=	yes
-MAKE_ENV=	LOCALBASE=${LOCALBASE}
 WRKSRC=		${WRKDIR}/${PORTNAME}/konference
 
 PLIST_FILES=	lib/asterisk/modules/app_konference.so

Modified: head/net/appkonference/distinfo
==============================================================================
--- head/net/appkonference/distinfo	Tue Aug 21 22:46:42 2012	(r302909)
+++ head/net/appkonference/distinfo	Tue Aug 21 23:29:37 2012	(r302910)
@@ -1,2 +1,2 @@
-SHA256 (appkonference-1.5.tar.gz) = 6470cc38b07a14b27993bc1e6a5c636943ae36e7e2385a3e136b3bc55a87af27
-SIZE (appkonference-1.5.tar.gz) = 186882
+SHA256 (appkonference-2.1.tar.gz) = 0e1bc8d01cab61e9cb84e6aa0ab12d14c86fade453b7508b07331edc1142653c
+SIZE (appkonference-2.1.tar.gz) = 191953

Modified: head/net/appkonference/files/patch-Makefile
==============================================================================
--- head/net/appkonference/files/patch-Makefile	Tue Aug 21 22:46:42 2012	(r302909)
+++ head/net/appkonference/files/patch-Makefile	Tue Aug 21 23:29:37 2012	(r302910)
@@ -1,23 +1,29 @@
---- Makefile.orig	2010-10-23 00:28:54.000000000 +0000
-+++ Makefile	2010-10-23 00:31:39.000000000 +0000
-@@ -18,9 +18,9 @@
- #
+--- ./Makefile.orig	2012-06-13 14:10:52.160359057 +0200
++++ ./Makefile	2012-06-13 14:13:01.635359504 +0200
+@@ -16,11 +16,11 @@
+ ASTERISK_SRC_DIR =
+ 
+ # asterisk release or subversion working copy
+-ASTERISK_SRC_VERSION = $(shell if [ -e $(ASTERISK_SRC_DIR)/.version ] ; then echo release; elif [ -e $(ASTERISK_SRC_DIR)/.svn ] ; then echo subversion; else echo unknown; fi)
++ASTERISK_SRC_VERSION = release
+ 
+ # asterisk release version or subversion branch
+ ifeq ($(ASTERISK_SRC_VERSION),release)
+- ASTERISK = $(shell cat $(ASTERISK_SRC_DIR)/.version | cut -d "." -f1,2 | sed -e 's/\.//')
++ ASTERISK = 18
+ else
+  ifeq ($(ASTERISK_SRC_VERSION),subversion)
+   ASTERISK = $(shell svn info $(ASTERISK_SRC_DIR) | grep URL | sed -e 's:^.*/::' | cut -d "." -f 1,2 | sed -e 's/\.//')
+@@ -31,10 +31,10 @@
+ endif
+ 
+ # asterisk include directory
+-ASTERISK_INCLUDE_DIR = $(ASTERISK_SRC_DIR)/include
++ASTERISK_INCLUDE_DIR = ${LOCALBASE}/include
+ 
+ # asterisk module directory
+-INSTALL_MODULES_DIR = /usr/lib/asterisk/modules
++INSTALL_MODULES_DIR = ${LOCALBASE}/lib/asterisk/modules
  
- INSTALL_PREFIX :=
--INSTALL_MODULES_DIR := $(INSTALL_PREFIX)/usr/lib/asterisk/modules
-+INSTALL_MODULES_DIR := $(INSTALL_PREFIX)/${LOCALBASE}/lib/asterisk/modules
- 
--ASTERISK_INCLUDE_DIR ?= ../asterisk/include
-+ASTERISK_INCLUDE_DIR ?= ${LOCALBASE}/include
- 
- RELEASE = 1.5
- 
-@@ -157,7 +157,7 @@
- 	$(RM) $(TARGET)
- 
- $(TARGET): $(OBJS)
--	$(CC) -pg $(SOLINK) -o $@ $(OBJS)
-+	$(CC) $(SOLINK) -o $@ $(OBJS)
- 
- vad_test: vad_test.o libspeex/preprocess.o libspeex/misc.o libspeex/smallft.o
- 	$(CC) $(PROFILE) -o $@ $^ -lm
+ # module release
+ RELEASE = 2.1
\ No newline at end of file

Modified: head/www/bigbluebutton/Makefile
==============================================================================
--- head/www/bigbluebutton/Makefile	Tue Aug 21 22:46:42 2012	(r302909)
+++ head/www/bigbluebutton/Makefile	Tue Aug 21 23:29:37 2012	(r302910)
@@ -7,7 +7,7 @@
 
 PORTNAME=	bigbluebutton
 PORTVERSION=	0.71
-PORTREVISION=	3
+PORTREVISION=	4
 CATEGORIES=	www java
 MASTER_SITES=	http://bigbluebutton.org/downloads/${PORTVERSION}/ \
 		http://bigbluebutton.org/downloads/0.70/:2 \
@@ -82,10 +82,10 @@ SUB_FILES=	pkg-message openoffice nginx.
 .include <bsd.port.pre.mk>
 
 .if defined(WITH_MEETME) || defined(WITH_KONFERENCE)
-BUILD_DEPENDS+=${LOCALBASE}/sbin/asterisk:${PORTSDIR}/net/asterisk16
+BUILD_DEPENDS+=${LOCALBASE}/sbin/asterisk:${PORTSDIR}/net/asterisk
 .if  defined(WITH_MEETME)
 .if !exists(${LOCALBASE}/lib/asterisk/modules/app_meetme.so)
-IGNORE=Option meetme requires app_meetme.so from asterisk port. Rebuild net/asterisk16 with WITH_ZAPTEL=yes
+IGNORE=Option meetme requires app_meetme.so from asterisk port. Rebuild net/asterisk with WITH_DAHDI=yes
 .endif
 .endif
 .if  defined(WITH_KONFERENCE)
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Florian Smeets freebsd_committer 2012-08-22 00:33:36 UTC
State Changed
From-To: open->closed

Committed. Thanks!